# createDocFromBase64Async

### Overview

Parameters:

* [DocFromPdfBase64](/english/facilitators/sdks/java-sdk/used-classes/body/docfrompdfbase64.md)

Return:

* [DocAsyncResponse](/english/facilitators/sdks/java-sdk/used-classes/response/docasyncresponse.md) - success
* Exception - failure

To create this document we need:

* set your api token.
* set your base64.
* set your signers.
* set your doc.
* call the method.

### Usage:

Import the relevant components:

```java
import body.doc.DocFromPdfBase64;
import body.signer.Signer;
import docs.DocRequests;
import response.DocResponse;
import services.JsonConverter;

import java.io.IOException;
import java.util.ArrayList;
```

Set your [Api Token](/english/master.md):

```java
String apiToken = "YOUR TOKEN";
```

Set your base64:

```java
String base64 = "JVBERi0xLjYKJcOkw7zDtsOfCjIgMCBvYmoKPDwvTG..."
```

Set your signers with the class [Signer](/english/facilitators/sdks/java-sdk/used-classes/body/signer.md):

```java
Signer signer1 = Signer.builder()
                .name("My First Signer")
                .build();

Signer signer2 = Signer.builder()
                .name("My Second Signer")
                .email("test@test.com")
                .lock_email(true)
                .lock_phone(true)
                .phone_country("55")
                .phone_number("99999999999")
                .auth_mode("assinaturaTela") // draw on screen
                .send_automatic_email(false)
                .send_automatic_whatsapp(false)
                .build();
                
ArrayList<Signer> signers = new ArrayList<>();
        signers.add(signer1);
        signers.add(signer2);
```

Set your doc with class with the class [DocFromPdfBase64](/english/facilitators/sdks/java-sdk/used-classes/body/docfrompdfbase64.md):

```java
DocFromPdfBase64 docFromPdfBase64 = DocFromPdfBase64.docFromPdfBase64Builder()
                .sandbox(false)
                .name("My Contract")
                .brand_primary_color("#000000")
                .lang("en")
                .signers(signers)
                .base64_pdf(base64)
                .build();

```

Call the method createDocFromBase64Async and receive the [DocAsyncResponse ](/english/facilitators/sdks/java-sdk/used-classes/response/docasyncresponse.md)class or an error message as a response:

```java
try {
    DocAsyncResponse docAsyncResponse = new DocRequests(apiToken).createDocFromPdfBase64Async(docFromPdfBase64);
    String jsonDocResponse = new JsonConverter().docAsyncResponseToJson(docAsyncResponse);
    System.out.println(jsonDocResponse);
}
catch(Exception exceptionError) {
    System.out.println(exceptionError.getMessage());
}
```

### Example:

```java
import body.doc.DocFromPdfBase64;
import body.signer.Signer;
import docs.DocRequests;
import response.DocResponse;
import services.JsonConverter;

import java.io.IOException;
import java.util.ArrayList;
public class CreateDocFromBase64PdfAssync {
    public static void main(String[] args) throws IOException, InterruptedException  {
        String apiToken = "YOUR TOKEN";
        String base64 = "JVBERi0xLjYKJcOkw7zDtsOfCjIgMCBvYmoKPDwvTG..."

                Signer signer1 = Signer.builder()
                .name("My First Signer")
                .build();

        Signer signer2 = Signer.builder()
                .name("My Second Signer")
                .email("test@test.com")
                .lock_email(true)
                .lock_phone(true)
                .phone_country("55")
                .phone_number("99999999999")
                .auth_mode("assinaturaTela") // draw on screen
                .send_automatic_email(false)
                .send_automatic_whatsapp(false)
                .build();

        ArrayList<Signer> signers = new ArrayList<>();
        signers.add(signer1);
        signers.add(signer2);

        DocFromPdfBase64 docFromPdfBase64 = DocFromPdfBase64.docFromPdfBase64Builder()
                .sandbox(false)
                .name("My Contract")
                .brand_primary_color("#000000")
                .lang("en")
                .signers(signers)
                .base64_pdf(base64)
                .build();


        try {
            DocAsyncResponse docAsyncResponse = new DocRequests(apiToken).createDocFromPdfBase64Async(docFromPdfBase64);
            String jsonDocResponse = new JsonConverter().docAsyncResponseToJson(docAsyncResponse);
            System.out.println(jsonDocResponse);
        }
        catch(Exception exceptionError) {
            System.out.println(exceptionError.getMessage());
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/english/facilitators/sdks/java-sdk/documents-requests/createdocfrombase64async.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
